Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.hadoop.util
Class TupleElementStreamComparator

    java.lang.Object
      cascading.tuple.hadoop.util.TupleElementStreamComparator

All Implemented Interfaces:
  StreamComparator<HadoopTupleInputStream>, Comparator<Object>

    public class TupleElementStreamComparator

extends Object
implements StreamComparator<HadoopTupleInputStream>, Comparator<Object>

Constructor Summary
`TupleElementStreamComparator(StreamComparator comparator)`

Method Summary
`int` | `compare(HadoopTupleInputStream lhsStream, HadoopTupleInputStream rhsStream)`
`int` | `compare(Object lhs, Object rhs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### TupleElementStreamComparator

    public TupleElementStreamComparator(StreamComparator comparator)

Method Detail

### compare

    public int compare(Object lhs,
                       Object rhs)

  Specified by:
    `compare` in interface `Comparator<Object>`

### compare

    public int compare(HadoopTupleInputStream lhsStream,
                       HadoopTupleInputStream rhsStream)

  Specified by:
    `compare` in interface `StreamComparator<HadoopTupleInputStream>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.